MDVA-33516 Patch: Fehler bei gebündelter Produktanforderungsliste bearbeiten

Der Patch MDVA-33516 behebt das Problem, dass Sie beim Bearbeiten des Bundle-Produkttyps aus der Anforderungsliste zu einer Fehlerseite für das Anforderungslistenelement weitergeleitet werden. Dieser Patch ist verfügbar, wenn die Variable Quality Patches Tool (QPT) 1.0.14 ist installiert. Bitte beachten Sie, dass das Problem in Adobe Commerce 2.4.3 behoben sein soll.

Betroffene Produkte und Versionen

Der Patch wird für die Adobe Commerce-Version erstellt:

Adobe Commerce in Cloud-Infrastruktur 2.3.4

Kompatibel mit Adobe Commerce-Versionen:

Adobe Commerce auf Cloud-Infrastruktur 2.3.0 - 2.3.5 - p2

NOTE
Der Patch kann für andere Versionen mit den neuen Versionen des Quality Patches Tool angewendet werden. Um zu überprüfen, ob der Patch mit Ihrer Adobe Commerce-Version kompatibel ist, aktualisieren Sie die magento/quality-patches auf die neueste Version zu aktualisieren und die Kompatibilität mit dem Quality Patches Tool: Suchen Sie nach der Seite Patches .. Verwenden Sie die Patch-ID als Suchschlüsselwort, um den Patch zu finden.

Problem

Fehler beim Bearbeiten von gebündelten Produkten auf der Anforderungsliste.

Voraussetzungen:

  • B2B wird installiert.
  • Die Anforderungsliste ist aktiviert.

Zu reproduzierende Schritte:

  1. Erstellen Sie ein gebündeltes Produkt mit zwei einfachen Produkten.
  2. Klicken Sie auf der gebündelten Produktseite auf die Anpassen und Hinzufügen zum Warenkorb Schaltfläche.
  3. Wählen Sie eine der Optionen aus der Dropdown-Liste aus und klicken Sie auf Zur Anforderungsliste hinzufügen , um eine neue Anforderungsliste zu erstellen. Ausführliche Anweisungen finden Sie unter Magento-Benutzerhandbuch > Meine Anforderungslisten > Erstellen einer Anforderungsliste in unserem Benutzerhandbuch.
  4. Gehen Sie zur neu erstellten Anforderungsliste (Mein Konto > Meine Anforderungslisten).
  5. Klicken Sie auf Ansicht im Aktionen Spalte.
  6. Klicken Sie auf Bearbeiten Schaltfläche.

Erwartete Ergebnisse:

Keine Fehler.

Tatsächliche Ergebnisse:

Seite "Ihre Anpassung", die ein Bild des gebündelten Produkts, des Preises und der folgenden Fehlermeldung enthält:

Fatal error: Uncaught Error: Call to a member function isAvailableForCompare() on null in /var/www/html/var/view_preprocessed/pub/static/vendor/magento/module-catalog/view/frontend/templates/product/view/addto/compare.phtml:1 Stack trace: #0 /var/www/html/vendor/magento/framework/View/TemplateEngine/Php.php(59): include() #1 /var/www/html/vendor/magento/framework/View/Element/Template.php(271): Magento\Framework\View\TemplateEngine\Php->render(Object(Magento\Catalog\Block\Product\View\AddTo\Compare), '/var/www/html/v...', Array) #2 /var/www/html/vendor/magento/framework/View/Element/Template.php(301): Magento\Framework\View\Element\Template->fetchView('/var/www/html/v...') #3 /var/www/html/vendor/magento/framework/View/Element/AbstractBlock.php(1099): Magento\Framework\View\Element\Template->_toHtml() #4 /var/www/html/vendor/magento/framework/View/Element/AbstractBlock.php(1103): Magento\Framework\View\Element\AbstractBlock->Magento\Framework\View\Element   {closure} () #5 /var/www/html/vendor/magento/framework/View/Element/ in /var/www/html/var/view_preprocessed/pub/static/vendor/magento/module-catalog/view/frontend/templates/product/view/addto/compare.phtml
  on line 1

Wenden Sie den Patch an

Verwenden Sie je nach Adobe Commerce-Produkt die folgenden Links, um einzelne Patches anzuwenden:

Verwandtes Lesen

Weitere Informationen zum Werkzeug für Qualitätsmuster finden Sie unter:

Weitere Informationen zu anderen im QPT-Tool verfügbaren Patches finden Sie im Abschnitt Im QPT-Tool verfügbare Patches Abschnitt.

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a